package com.leanwo.activiti.service.base;

import java.util.List;

import org.activiti.bpmn.model.BpmnModel;

import com.leanwo.activiti.dto.base.UserSelectDefine;

/**
 * 
 */
public class BpmnCreateBo {
	/**  BPMN 模型. */
	private BpmnModel bpmnModel;
	
	/**  用户自选节点. */
	private List<UserSelectDefine> userSelectDefineList;

	/**  上一个审批人选择审批人节点. */
	private List<UserSelectDefine> previousAssigneeSelectDefineList;
	
	/**
	 * Gets the bPMN 模型.
	 *
	 * @return the bPMN 模型
	 */
	public BpmnModel getBpmnModel() {
		return bpmnModel;
	}
	
	/**
	 * Sets the bPMN 模型.
	 *
	 * @param bpmnModel the new bPMN 模型
	 */
	public void setBpmnModel(BpmnModel bpmnModel) {
		this.bpmnModel = bpmnModel;
	}
	
	/**
	 * Gets the 用户自选节点.
	 *
	 * @return the 用户自选节点
	 */
	public List<UserSelectDefine> getUserSelectDefineList() {
		return userSelectDefineList;
	}
	
	/**
	 * Sets the 用户自选节点.
	 *
	 * @param userSelectDefineList the new 用户自选节点
	 */
	public void setUserSelectDefineList(List<UserSelectDefine> userSelectDefineList) {
		this.userSelectDefineList = userSelectDefineList;
	}

	/**
	 * Gets the 上一个审批人选择审批人节点.
	 *
	 * @return the 上一个审批人选择审批人节点
	 */
	public List<UserSelectDefine> getPreviousAssigneeSelectDefineList() {
		return previousAssigneeSelectDefineList;
	}

	/**
	 * Sets the 上一个审批人选择审批人节点.
	 *
	 * @param previousAssigneeSelectDefineList the new 上一个审批人选择审批人节点
	 */
	public void setPreviousAssigneeSelectDefineList(List<UserSelectDefine> previousAssigneeSelectDefineList) {
		this.previousAssigneeSelectDefineList = previousAssigneeSelectDefineList;
	}
}
